PGPE(1)

NAME
pgpe - Encrypts and signs messages

SYNOPSIS
pgpe -r <recipient> [-s [-u <myid>]] [-aftz] [-o <outfile>] file ...
pgpe -c [-aftz] [-o outfile] file ...

DESCRIPTION
pgpe encrypts and signs files using public key cryptography, or encrypts files using conventional cryptography.

OPTIONS
All configuration options can be controlled from the command line. See pgp.cfg(5) for a complete list and how to specify them.

-a, --armor
    Turn on "ASCII Armoring." This outputs a text-only version of your encrypted text. This makes the result safe for mailing, but about 30% larger.

-c  Conventional encrypting mode. This uses IDEA to encrypt your message. As IDEA is a symmetric cipher, no public-key related arguments (-r, -s and -u) are accepted with this argument.

-f  Stream mode. Accepts input on stdin and places output on stdout. If no files are specified as arguments, pgp executes in this mode by default.

-o outfile
    Specifies that output should go to outfile. If not specified, output goes to the default filename. The default filename for each input file is the input filename with ".pgp" appended, unless ASCII Armoring is turned on, in which case it is ".asc". It is an error to specify multiple input files with this option.

-s  Sign the document as well as encrypting it. If you wish to sign only, use pgps(1). This will use your default signing key, or the ID of the key specified with the -u option.

-t  Turns on text mode. This causes PGP to convert your input message to a platform-independent form. It is primarily for use when moving files from one operating system to another.

-u  Sets the ID of the key used for signing. This may be a user ID (such as foo@bar.baz.com) or a Key ID (such as 0x12345678). Specifying this switch without specifying -s (sign) does nothing.

-z  Batch mode. See pgp-integration(7) for a discussion of integrating pgp support into your application.

EXAMPLE
pgpe -r foo@bar.baz.com -sat document.txt
    Signs and encrypts the file document.txt with ASCII Armoring and text mode on to foo@bar.baz.com's key. The resultant file will be document.txt.asc.

FILES
~/.pgp/pgp.cfg
    User-specific configuration file. In previous releases, this file was called config.txt. See pgp.cfg(5) for further details.

BUGS
    See pgp(1).

SEE ALSO
pgp(1), pgpv(1), pgps(1), pgpk(1), pgp.cfg(5), pgp-integration(7), http://www.pgp.com (US versions) and http://www.pgpi.com (International versions)